#ifndef __NORMALIZER__
#define __NORMALIZER__

#include "database.h"
#include "feature_vector.h"

class NormalizeByMean{
private:
	Database * db;

public:
	NormalizeByMean(Database *data) : db(data) {}
	void normalizeItem(int id, feature_vector *f){
		for(node *n = f->begin(); n != 0; n = n->next){
			n->value -= db->getMean(n->id);
		}
	}
};

#endif
